mxParallelEdgeLayout (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.layout
Class mxParallelEdgeLayout

    java.lang.Object
      com.mxgraph.layout.mxGraphLayout
          com.mxgraph.layout.mxParallelEdgeLayout

All Implemented Interfaces:
  mxIGraphLayout

    public class mxParallelEdgeLayout

extends mxGraphLayout

Field Summary
`protected int` | `spacing` Specifies the spacing between the edges.

Fields inherited from class com.mxgraph.layout.mxGraphLayout
`graph, parent, useBoundingBox`

Constructor Summary
`mxParallelEdgeLayout(mxGraph graph)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.
`mxParallelEdgeLayout(mxGraph graph, int spacing)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

Method Summary
`void` | `execute(Object parent)` Executes the layout for the children of the specified parent.
`protected Map<String,List<Object>>` | `findParallels(Object parent)`
`protected String` | `getEdgeId(Object edge)`
`protected void` | `layout(List<Object> parallels)`
`protected void` | `route(Object edge, double x, double y)`

Methods inherited from class com.mxgraph.layout.mxGraphLayout
`arrangeGroups, getConstraint, getConstraint, getGraph, getParentOffset, getVertexBounds, isEdgeIgnored, isUseBoundingBox, isVertexIgnored, isVertexMovable, moveCell, setEdgePoints, setEdgeStyleEnabled, setOrthogonalEdge, setUseBoundingBox, setVertexLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### spacing

    protected int spacing

  Specifies the spacing between the edges. Default is 20.

Constructor Detail

### mxParallelEdgeLayout

    public mxParallelEdgeLayout(mxGraph graph)

  Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

### mxParallelEdgeLayout

    public mxParallelEdgeLayout(mxGraph graph,
                                int spacing)

  Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

Method Detail

### execute

    public void execute(Object parent)

  Description copied from interface: `mxIGraphLayout`
  Executes the layout for the children of the specified parent.

  Specified by:
    `execute` in interface `mxIGraphLayout`
  Overrides:
    `execute` in class `mxGraphLayout`
  Parameters:
    `parent` - Parent cell that contains the children to be layed out.

### findParallels

    protected Map<String,List<Object>> findParallels(Object parent)

### getEdgeId

    protected String getEdgeId(Object edge)

### layout

    protected void layout(List<Object> parallels)

### route

    protected void route(Object edge,
                         double x,
                         double y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.